import request from '@/utils/request'

export function listSourcePurchase(query) {
  return request({
    url: '/generator/sourcePurchase/list',
    method: 'get',
    params: query
  })
}

export function getSourcePurchase(purchaseId) {
  return request({
    url: '/generator/sourcePurchase/' + purchaseId,
    method: 'get'
  })
}

export function updateSourcePurchase(data) {
  return request({
    url: '/generator/sourcePurchase',
    method: 'put',
    data: data
  })
}
